<template>
  <div id="VoteDecision">
    <Navbar/><div class="mt-5">
      <div class="container">
        <div class="row">
          <div class="ol-lg-6 col-md-6 col-sm-12">
            <div class="login-box shadow-sm mb-5 bg-white rounded">
              <div class="p-5">
               <div class="form-group">
                <h5>{{options[this.filterOptions(options)].question}}</h5>
              </div> 
              <div class="form-group-options"> 
                <div v-for="(option1, answerid) in options[this.filterOptions(options)].answers" v-bind:key="answerid">
                  <p>
                    <button :disabled='dis' type="button" class="btn btn-secondary w-100" :name="option1[0]" @click="edit(answerid,option1[1])">{{option1[0]}}</button>                    
                  </p>
                </div>  
              </div>
              <div class="mt-4"><div v-show="terms">
                <button type="button" class="btn btn-outline-warning btn-md w-100"  @click="changeVote" >CAMBIAR VOTO</button>
              </div></div>
              <div class="mt-4"><button type="button" class="btn btn-outline-warning btn-md w-100"  @click="returnDecisions" >ATRÁS</button></div>
            </div>
          </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-12 text-right">
          <img src="@/assets/mirage-vote.png" width="340px;">
        </div>
      </div>         
    </div>
  </div>
</div>
</template>

<script>
  import Navbar from '@/components/Navbar.vue'
  import { mapState, mapGetters } from 'vuex'
  import { RTDB } from '../main.js';
  import { vue } from "../main.js";
  export default {
    props: ['DecisionCode'],
    computed:{
      ...mapState(['code']),
      ...mapGetters(['getCode','getCodeFamily']),
      dis(){
        return this.terms;
      },
    },
    name: "VoteDecision",
    components: {
      Navbar
    },
    data() {
      options:[]
      return {
        codefamily : 'X42069',
        terms: false,
        no_votes:0,
        option_selected:'0'
      };
    },
    beforeCreate(){
      this.options=[]
    },
    created(){
      console.log(this.DecisionCode);
      this.options=[];
      let tempData = null;
      RTDB.ref('family/'+this.getCodeFamily+'/decision/'+this.DecisionCode+'/').on('value', snapshot => {
        tempData=(snapshot.val());
        this.options.push(tempData);
      });
    },
    methods:{
      edit(option_selected,value){
        this.terms=true;
        this.option_selected=option_selected
        let val=0;
        RTDB.ref('family/'+this.getCodeFamily+'/decision/'+this.DecisionCode+'/answers/'+option_selected+'/1').on('value', snapshot => {val=snapshot.val()});
        this.options=[]
        val+=1;
        RTDB.ref('family/'+this.getCodeFamily+'/decision/'+this.DecisionCode+'/answers/'+option_selected).update({'1':val});
      },
      changeVote(){
        this.options=[]
        let val=0;
        RTDB.ref('family/'+this.getCodeFamily+'/decision/'+this.DecisionCode+'/answers/'+this.option_selected+'/1').on('value', snapshot => {val=snapshot.val()});
        this.options=[]
        val-=1;
        RTDB.ref('family/'+this.getCodeFamily+'/decision/'+this.DecisionCode+'/answers/'+this.option_selected).update({'1':val});
        this.terms=!this.terms;
      },
      filterOptions(decision_options){
        let lastIndex=0;
        lastIndex = decision_options.length;
        lastIndex--;
        return lastIndex;
      },
      returnDecisions(){
        console.log("Aqui entro");
        this.$router.push({name:'decision'})
      },
    },

  }; 
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.container{
  max-width: 960px;
}
.btn-outline-warning {
  color: #009A9A;
  border-color: #009A9A;
}
.btn-outline-warning:hover {
  background-color: #009A9A;
  color: #fafafa;
  border-color: #fafafa;
}
.login-box{
  max-width: 480px;
}
select, .form-input, .form-input:focus{
  border-color: #3C394A;
  border-bottom-width: 2px;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-radius: 0;
  box-shadow: none;
  max-width: 100%;
}
select, .form-input:focus{
  border-color: #009A9A;
}
.btn-primary {
  color: #fff;
  background-color: #009A9A;
  border-color: #009A9A;
}
.btn-primary:hover{
  background-color: #45b5b5 !important;
}

h5, h3 {
  color: #45b5b5;
  font-weight: bold;
}
</style>
